Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::CommitPoint Class Reference

Holds details for each commit point. This class is also passed to the deletion policy. Note: this class has a natural ordering that is inconsistent with equals. More...

`#include <IndexFileDeleter.h>`

Inheritance diagram for Lucene::CommitPoint:

## Public Member Functions

| CommitPoint (Collection< CommitPointPtr > commitsToDelete, DirectoryPtr directory, SegmentInfosPtr segmentInfos)
virtual | ~CommitPoint ()
virtual String | getClassName ()
boost::shared_ptr< CommitPoint > | shared_from_this ()
virtual String | toString ()
| Returns a string representation of the object. More...
virtual bool | isOptimized ()
| Returns true if this commit is an optimized index. More...
virtual String | getSegmentsFileName ()
| Get the segments file (segments_N) associated with this commit point. More...
virtual HashSet< String > | getFileNames ()
| Returns all index files referenced by this commit point. More...
virtual DirectoryPtr | getDirectory ()
| Returns the Directory for the index. More...
virtual int64_t | getVersion ()
| Returns the version for this IndexCommit. More...
virtual int64_t | getGeneration ()
| Returns the generation (the _N in segments_N) for this IndexCommit. More...
virtual MapStringString | getUserData ()
| Returns userData, previously passed to IndexWriter#commit(Map) for this commit. More...
virtual void | deleteCommit ()
| Called only be the deletion policy, to remove this commit point from the index. More...
virtual bool | isDeleted ()
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::IndexCommit
virtual | ~IndexCommit ()
boost::shared_ptr< IndexCommit > | shared_from_this ()
virtual bool | equals (LuceneObjectPtr other)
| Two IndexCommits are equal if both their Directory and versions are equal. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual int64_t | getTimestamp ()
| Convenience method that returns the last modified time of the segments_N file corresponding to this index commit, equivalent to getDirectory()->fileModified(getSegmentsFileName()). More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::IndexCommit
static String | _getClassName ()

## Data Fields

int64_t | gen
HashSet< String > | files
String | segmentsFileName
bool | deleted
DirectoryPtr | directory
Collection< CommitPointPtr > | commitsToDelete
int64_t | version
int64_t | generation
bool | _isOptimized
MapStringString | userData

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Holds details for each commit point. This class is also passed to the deletion policy. Note: this class has a natural ordering that is inconsistent with equals.

## Constructor & Destructor Documentation

Lucene::CommitPoint::CommitPoint | ( | Collection< CommitPointPtr > | commitsToDelete,
|  | DirectoryPtr | directory,
|  | SegmentInfosPtr | segmentInfos
| ) |  |

virtual Lucene::CommitPoint::~CommitPoint | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::CommitPoint::_getClassName | ( | ) |  |

inline static

virtual int32_t Lucene::CommitPoint::compareTo | ( | LuceneObjectPtr | other) |  |

virtual

Compare two objects.

Reimplemented from Lucene::LuceneObject.

virtual void Lucene::CommitPoint::deleteCommit | ( | ) |  |

virtual

Called only be the deletion policy, to remove this commit point from the index.

Implements Lucene::IndexCommit.

virtual String Lucene::CommitPoint::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::IndexCommit.

virtual DirectoryPtr Lucene::CommitPoint::getDirectory | ( | ) |  |

virtual

Returns the Directory for the index.

Implements Lucene::IndexCommit.

virtual HashSet<String> Lucene::CommitPoint::getFileNames | ( | ) |  |

virtual

Returns all index files referenced by this commit point.

Implements Lucene::IndexCommit.

virtual int64_t Lucene::CommitPoint::getGeneration | ( | ) |  |

virtual

Returns the generation (the _N in segments_N) for this IndexCommit.

Implements Lucene::IndexCommit.

virtual String Lucene::CommitPoint::getSegmentsFileName | ( | ) |  |

virtual

Get the segments file (segments_N) associated with this commit point.

Implements Lucene::IndexCommit.

virtual MapStringString Lucene::CommitPoint::getUserData | ( | ) |  |

virtual

Returns userData, previously passed to IndexWriter#commit(Map) for this commit.

Implements Lucene::IndexCommit.

virtual int64_t Lucene::CommitPoint::getVersion | ( | ) |  |

virtual

Returns the version for this IndexCommit.

Implements Lucene::IndexCommit.

virtual bool Lucene::CommitPoint::isDeleted | ( | ) |  |

virtual

Implements Lucene::IndexCommit.

virtual bool Lucene::CommitPoint::isOptimized | ( | ) |  |

virtual

Returns true if this commit is an optimized index.

Implements Lucene::IndexCommit.

boost::shared_ptr< CommitPoint > Lucene::CommitPoint::shared_from_this | ( | ) |  |

inline

virtual String Lucene::CommitPoint::toString | ( | ) |  |

virtual

Returns a string representation of the object.

Reimplemented from Lucene::LuceneObject.

## Field Documentation

bool Lucene::CommitPoint::_isOptimized

Collection<CommitPointPtr> Lucene::CommitPoint::commitsToDelete

bool Lucene::CommitPoint::deleted

DirectoryPtr Lucene::CommitPoint::directory

HashSet<String> Lucene::CommitPoint::files

int64_t Lucene::CommitPoint::gen

int64_t Lucene::CommitPoint::generation

String Lucene::CommitPoint::segmentsFileName

MapStringString Lucene::CommitPoint::userData

int64_t Lucene::CommitPoint::version

The documentation for this class was generated from the following file:

- IndexFileDeleter.h

clucene.sourceforge.net